Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-06-2019 20:13:14

chrishagetlouts
Membre
Lieu : Sud des Landes
Distrib. : Stretch 9.9
Inscription : 06-06-2019

[résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

Bonjour a tous,

Cela fait maintenant plusieurs jours et plusieurs nuits que j'essaie de trouver la solution mais je n'y arrive pas. J'ai fait un nombre incalculable de manipulations trouvées sur ce forum et sur plein d'autres, j'ai pris connaissance des tutos et autres wiki de DF, mais je suis arrivé au bout, je ne sais plus quoi faire si ce n'est vous appeler au secours.

J'ai fait tellement de manipulations que j'en suis perdu et j'ai peur avoir fait peut être des maladresses.

Lors d'un apt-get update j'ai un petit soucis sur un dépôt inconnu et un très gros problème sur les clefs.

apt-get update


Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://security.debian.org stretch/updates InRelease [94,3 kB]
Ign:3 http://deb.debian.org/debian stretch/updates InRelease          
Réception de:4 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Err:2 http://security.debian.org stretch/updates InRelease      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
Atteint:5 http://deb.debian.org/debian stretch Release                                    
Ign:6 http://deb.debian.org/debian stretch/updates Release                                
Ign:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
Err:4 http://deb.debian.org/debian stretch-updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Err:10 http://deb.debian.org/debian stretch Release.gpg      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Ign:19 http://deb.debian.org/debian stretch/updates/contrib Translation-en
Ign:20 http://deb.debian.org/debian stretch/updates/contrib Translation-fr_FR
Ign:21 http://deb.debian.org/debian stretch/updates/contrib amd64 DEP-11 Metadata
Ign:22 http://deb.debian.org/debian stretch/updates/contrib all DEP-11 Metadata
Ign:23 http://deb.debian.org/debian stretch/updates/contrib DEP-11 64x64 Icons
Ign:24 http://deb.debian.org/debian stretch/updates/non-free all Packages
Ign:25 http://deb.debian.org/debian stretch/updates/non-free amd64 Packages
Ign:26 http://deb.debian.org/debian stretch/updates/non-free Translation-fr_FR
Ign:27 http://deb.debian.org/debian stretch/updates/non-free Translation-fr
Ign:28 http://deb.debian.org/debian stretch/updates/non-free Translation-en
Ign:29 http://deb.debian.org/debian stretch/updates/non-free all DEP-11 Metadata
Ign:30 http://deb.debian.org/debian stretch/updates/non-free amd64 DEP-11 Metadata
Ign:31 http://deb.debian.org/debian stretch/updates/non-free DEP-11 64x64 Icons
Ign:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Ign:19 http://deb.debian.org/debian stretch/updates/contrib Translation-en
Ign:20 http://deb.debian.org/debian stretch/updates/contrib Translation-fr_FR
Ign:21 http://deb.debian.org/debian stretch/updates/contrib amd64 DEP-11 Metadata
Ign:22 http://deb.debian.org/debian stretch/updates/contrib all DEP-11 Metadata
Ign:23 http://deb.debian.org/debian stretch/updates/contrib DEP-11 64x64 Icons
Ign:24 http://deb.debian.org/debian stretch/updates/non-free all Packages
Ign:25 http://deb.debian.org/debian stretch/updates/non-free amd64 Packages
Ign:26 http://deb.debian.org/debian stretch/updates/non-free Translation-fr_FR
Ign:27 http://deb.debian.org/debian stretch/updates/non-free Translation-fr
Ign:28 http://deb.debian.org/debian stretch/updates/non-free Translation-en
Ign:29 http://deb.debian.org/debian stretch/updates/non-free all DEP-11 Metadata
Ign:30 http://deb.debian.org/debian stretch/updates/non-free amd64 DEP-11 Metadata
Ign:31 http://deb.debian.org/debian stretch/updates/non-free DEP-11 64x64 Icons
Ign:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Ign:19 http://deb.debian.org/debian stretch/updates/contrib Translation-en
Ign:20 http://deb.debian.org/debian stretch/updates/contrib Translation-fr_FR
Ign:21 http://deb.debian.org/debian stretch/updates/contrib amd64 DEP-11 Metadata
Ign:22 http://deb.debian.org/debian stretch/updates/contrib all DEP-11 Metadata
Ign:23 http://deb.debian.org/debian stretch/updates/contrib DEP-11 64x64 Icons
Ign:24 http://deb.debian.org/debian stretch/updates/non-free all Packages
Ign:25 http://deb.debian.org/debian stretch/updates/non-free amd64 Packages
Ign:26 http://deb.debian.org/debian stretch/updates/non-free Translation-fr_FR
Ign:27 http://deb.debian.org/debian stretch/updates/non-free Translation-fr
Ign:28 http://deb.debian.org/debian stretch/updates/non-free Translation-en
Ign:29 http://deb.debian.org/debian stretch/updates/non-free all DEP-11 Metadata
Ign:30 http://deb.debian.org/debian stretch/updates/non-free amd64 DEP-11 Metadata
Ign:31 http://deb.debian.org/debian stretch/updates/non-free DEP-11 64x64 Icons
Ign:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Ign:19 http://deb.debian.org/debian stretch/updates/contrib Translation-en
Ign:20 http://deb.debian.org/debian stretch/updates/contrib Translation-fr_FR
Ign:21 http://deb.debian.org/debian stretch/updates/contrib amd64 DEP-11 Metadata
Ign:22 http://deb.debian.org/debian stretch/updates/contrib all DEP-11 Metadata
Ign:23 http://deb.debian.org/debian stretch/updates/contrib DEP-11 64x64 Icons
Ign:24 http://deb.debian.org/debian stretch/updates/non-free all Packages
Ign:25 http://deb.debian.org/debian stretch/updates/non-free amd64 Packages
Ign:26 http://deb.debian.org/debian stretch/updates/non-free Translation-fr_FR
Ign:27 http://deb.debian.org/debian stretch/updates/non-free Translation-fr
Ign:28 http://deb.debian.org/debian stretch/updates/non-free Translation-en
Ign:29 http://deb.debian.org/debian stretch/updates/non-free all DEP-11 Metadata
Ign:30 http://deb.debian.org/debian stretch/updates/non-free amd64 DEP-11 Metadata
Ign:31 http://deb.debian.org/debian stretch/updates/non-free DEP-11 64x64 Icons
Ign:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Ign:19 http://deb.debian.org/debian stretch/updates/contrib Translation-en
Ign:20 http://deb.debian.org/debian stretch/updates/contrib Translation-fr_FR
Ign:21 http://deb.debian.org/debian stretch/updates/contrib amd64 DEP-11 Metadata
Ign:22 http://deb.debian.org/debian stretch/updates/contrib all DEP-11 Metadata
Ign:23 http://deb.debian.org/debian stretch/updates/contrib DEP-11 64x64 Icons
Ign:24 http://deb.debian.org/debian stretch/updates/non-free all Packages
Ign:25 http://deb.debian.org/debian stretch/updates/non-free amd64 Packages
Ign:26 http://deb.debian.org/debian stretch/updates/non-free Translation-fr_FR
Ign:27 http://deb.debian.org/debian stretch/updates/non-free Translation-fr
Ign:28 http://deb.debian.org/debian stretch/updates/non-free Translation-en
Ign:29 http://deb.debian.org/debian stretch/updates/non-free all DEP-11 Metadata
Ign:30 http://deb.debian.org/debian stretch/updates/non-free amd64 DEP-11 Metadata
Ign:31 http://deb.debian.org/debian stretch/updates/non-free DEP-11 64x64 Icons
Err:7 http://deb.debian.org/debian stretch/updates/main amd64 Packages
  404  Not Found [IP : 2a04:4e42:1d::204 80]
Ign:8 http://deb.debian.org/debian stretch/updates/main all Packages
Ign:9 http://deb.debian.org/debian stretch/updates/main Translation-en
Ign:11 http://deb.debian.org/debian stretch/updates/main Translation-fr_FR
Ign:12 http://deb.debian.org/debian stretch/updates/main Translation-fr
Ign:13 http://deb.debian.org/debian stretch/updates/main all DEP-11 Metadata
Ign:14 http://deb.debian.org/debian stretch/updates/main amd64 DEP-11 Metadata
Ign:15 http://deb.debian.org/debian stretch/updates/main DEP-11 64x64 Icons
Ign:16 http://deb.debian.org/debian stretch/updates/contrib all Packages
Ign:17 http://deb.debian.org/debian stretch/updates/contrib amd64 Packages
Ign:18 http://deb.debian.org/debian stretch/updates/contrib Translation-fr
Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://security.debian.org stretch/updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: The repository 'http://deb.debian.org/debian stretch/updates Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch-updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: Impossible de récupérer http://security.debian.org/dists/stretch/updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch-updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch/Release.gpg  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
E: Impossible de récupérer http://deb.debian.org/debian/dists/stretch/updates/main/binary-amd64/Packages  404  Not Found [IP : 2a04:4e42:1d::204 80]
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
 



Voici le contenu du fichier sources.list. Ne vous étonnez pas, en première partie j'avais prévu d'utiliser un depot mirroir local (apt-mirror) . Devant mes difficultés et pour "simplifier" les choses, je suis revenu aux dépots en ligne. Mais cela génère exactement les mêmes erreurs.

 

# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 NETINST 20181110-11:34]/ stretch main
# deb cdrom:[Debian GNU/Linux 9.6.0 _Stretch_ - Official amd64 NETINST 20181110-11:34]/ stretch main


#deb http://192.168.0.5/Debian/mirror/deb.debian.org/debian/ stretch main non-free contrib

#deb http://192.168.0.5/Debian/mirror/deb.debian.org/debian/ stretch/updates main contrib non-free

## stretch-updates, previously known as 'volatile'
#deb http://192.168.0.5/Debian/mirror/security.debian.org/ stretch/updates main non-free contrib
#deb http://192.168.0.5/Debian/mirror/deb.debian.org/debian/ stretch-updates main contrib non-free

########### mise à jour en ligne ###############

deb http://deb.debian.org/debian/ stretch main non-free contrib

deb http://deb.debian.org/debian/ stretch/updates main contrib non-free

## stretch-updates, previously known as 'volatile'
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free



Pour infos voici également le repertoire apt :

ls -al


total 40
drwxr-xr-x   5 root root  4096 juin   6 19:42 .
drwxr-xr-x 122 root root 12288 juin   6 14:50 ..
drwxr-xr-x   2 root root  4096 juin   6 12:47 apt.conf.d
-rw-r--r--   1 root root   104 janv. 23 21:04 listchanges.conf
drwxr-xr-x   2 root root  4096 sept. 13  2017 preferences.d
-rw-r--r--   1 root root  1030 juin   6 19:42 sources.list
-rw-r--r--   1 root root     0 janv. 23 20:17 sources.list~
drwxr-xr-x   2 root root  4096 sept. 13  2017 sources.list.d
-rw-r--r--   1 root root   468 mai   15 23:28 sources.list.save
 



En espérant que ces quelques infos vous permettront de me venir en aide.
Le point positif de mes soucis c'est que j'ai beaucoup appris depuis une semaine...

Dernière modification par chrishagetlouts (08-06-2019 17:25:12)


Actuellement sous Débian Stretch. Je ne suis pas un expert et j'essaie de me débrouiller par moi-même pour ne pas vous solliciter inutilement. Merci par avance pour votre aide car si je fais appel à vous, c'est que je suis vraiment dans l'impasse.

Hors ligne

#2 06-06-2019 20:24:45

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 5.2.0-3 amd 64 SMP debian 5.2.9-2
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

bonsoir chrishagetlouts  smile  smile  smile

je serai d'avis de refaire ton sources.list .

déjà , pour commencer , je sauvegarde le fichier courant :

cp /etc/apt/sources.list /etc/apt/sources.list.bak


ensuite , je  créée le nouveau fichier :

cat > /etc/apt/sources.list << EOF
# Debian Stretch, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ stretch main contrib non-free
# Debian Stretch, mises à jour de sécurité + paquets non libres
deb http://security.debian.org/ stretch/updates main contrib non-free
# Debian Stretch, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
EOF


copier coller tout le bloc ci-dessus en root



ensuite

apt update


et poste le rapport ici


1498812139.jpg Les Inconnus - Chanson hard rock (poésie)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#3 06-06-2019 21:24:42

èfpé
Membre
Inscription : 10-07-2016

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

Bonsoir (et bienvenue),

chrishagetlouts a écrit :


ls -al /etc/apt/

total 40
drwxr-xr-x   5 root root  4096 juin   6 19:42 .
drwxr-xr-x 122 root root 12288 juin   6 14:50 ..
drwxr-xr-x   2 root root  4096 juin   6 12:47 apt.conf.d
-rw-r--r--   1 root root   104 janv. 23 21:04 listchanges.conf
drwxr-xr-x   2 root root  4096 sept. 13  2017 preferences.d
-rw-r--r--   1 root root  1030 juin   6 19:42 sources.list
-rw-r--r--   1 root root     0 janv. 23 20:17 sources.list~
drwxr-xr-x   2 root root  4096 sept. 13  2017 sources.list.d
-rw-r--r--   1 root root   468 mai   15 23:28 sources.list.save


L'absence de répertoire /etc/apt/trusted.gpg.d/ est extrêmement surprenante ; peux-tu confirmer ?

ls -lhR /etc/apt/


C'est ce répertoire, qui contient les clés publiques GPG permettant la vérification des dépôts Debian.

mkdir /etc/apt/trusted.gpg.d/

cp -v /usr/share/keyrings/debian-archive-keyring.gpg /etc/apt/trusted.gpg.d/


Ces commandes devraient te permettre — le problème confirmé — de retrouver une situation saine.

Hors ligne

#4 06-06-2019 21:58:12

chrishagetlouts
Membre
Lieu : Sud des Landes
Distrib. : Stretch 9.9
Inscription : 06-06-2019

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

Bonsoir Debian Alain,

Merci beaucoup d'essayer de m'aider.
Peux tu me dire pourquoi mes dépôts dans mon source.list ne conviennent pas ? (j'essaie de comprendre ce que je fais, pour sortir de ma mésaventure plus fort...) Sur le poste qui me sert de dépôt mirroir local, également sous stretch 9.9, ce même sources.list est identique et je n'ai aucun problème...

Je suis un peu novice et j'ai donc beaucoup lu pour connaître les """bons""" dépôts, mais je n'ai malheureusement pas les connaissances nécessaires pour faire la part des choses. Et il y a aussi certainement des choses tellement évidentes qu'elles ne sont même pas mentionnées dans les doc sur le sources.list ou alors je n'ai pas rien compris. Comme par exemple le faite d'utiliser ou non le "/" (slash) à droite de l'URL. Et bien moi je ne sais toujours pas ! Alors je fait bêtement ce que je peux voir ici ou la, sans savoir si c'est nécessaire ou équivalent !!!

voici donc le résultat de ce que tu m'as conseillé de faire :


Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://security.debian.org stretch/updates InRelease [94,3 kB]
Réception de:3 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Atteint:4 http://deb.debian.org/debian stretch Release          
Err:2 http://security.debian.org stretch/updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
Err:3 http://deb.debian.org/debian stretch-updates InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Err:5 http://deb.debian.org/debian stretch Release.gpg
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://security.debian.org stretch/updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch-updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: Impossible de récupérer http://security.debian.org/dists/stretch/updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch-updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch/Release.gpg  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
 



Si j’essaie de comprendre ce résultat, je dirais qu'il n 'y a eu aucun accès à cause des clefs manquantes. Comme je n'ai pas ou plus, de fichier ou dossier "trusted.gpg" et "trusted.gpg.d" (voir ls -al  ci dessus) cela ne m'étonne presque pas.

Est ce que j'ai bien interprété ce résultat ?


Actuellement sous Débian Stretch. Je ne suis pas un expert et j'essaie de me débrouiller par moi-même pour ne pas vous solliciter inutilement. Merci par avance pour votre aide car si je fais appel à vous, c'est que je suis vraiment dans l'impasse.

Hors ligne

#5 06-06-2019 22:04:34

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 5.2.0-3 amd 64 SMP debian 5.2.9-2
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

le but de ma démarche était de mettre un peu d'ordre dans un sources un peu trop fouillis à mon goût .

afin de voir plus clair .

èfpé t'a donné un bon conseil , l'as tu suivi ?

les paquets trusted gpg sont nécessaires au système .

à apt , en particulier .

Dernière modification par Debian Alain (06-06-2019 22:04:57)


1498812139.jpg Les Inconnus - Chanson hard rock (poésie)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#6 06-06-2019 22:10:45

chrishagetlouts
Membre
Lieu : Sud des Landes
Distrib. : Stretch 9.9
Inscription : 06-06-2019

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

Bonsoir éfpé,
merci de me venir en aide. Ta réponse est venu pendant ma réponse à Debian Alain.

Oui je te confirme bien la situation. J'ai fait tellement de manip que j'ai certainement fait une maladresse.

ls -lhR /etc/apt/


/etc/apt/:
total 28K
drwxr-xr-x 2 root root 4,0K juin   6 12:47 apt.conf.d
-rw-r--r-- 1 root root  104 janv. 23 21:04 listchanges.conf
drwxr-xr-x 2 root root 4,0K sept. 13  2017 preferences.d
-rw-r--r-- 1 root root  397 juin   6 21:45 sources.list
-rw-r--r-- 1 root root    0 janv. 23 20:17 sources.list~
-rw-r--r-- 1 root root 1,1K juin   6 21:44 sources.listavantforum
drwxr-xr-x 2 root root 4,0K sept. 13  2017 sources.list.d
-rw-r--r-- 1 root root  468 mai   15 23:28 sources.list.save

/etc/apt/apt.conf.d:
total 56K
-rw-r--r-- 1 root root   49 janv. 23 22:04 00aptitude
-rw-r--r-- 1 root root   82 janv. 23 20:17 00CDMountPoint
-rw-r--r-- 1 root root   40 janv. 23 20:17 00trustcdrom
-rw-r--r-- 1 root root  769 sept. 13  2017 01autoremove
-r--r--r-- 1 root root 1,9K juin   6 12:47 01autoremove-kernels
-rw-r--r-- 1 root root  130 janv. 23 22:11 20auto-upgrades
-rw-r--r-- 1 root root  202 avril 10  2017 20listchanges
-rw-r--r-- 1 root root 1,1K mai    4  2018 20packagekit
-rw-r--r-- 1 root root 1,5K janv. 22  2017 50appstream
-rw-r--r-- 1 root root 4,2K janv. 23 21:04 50unattended-upgrades
-rw-r--r-- 1 root root  354 janv. 19  2017 60gnome-software
-rw-r--r-- 1 root root  182 mai   21  2017 70debconf
-rw-r--r-- 1 root root   32 juin   6 16:44 99synaptic

/etc/apt/preferences.d:
total 0

/etc/apt/sources.list.d:
total 0
 



cp -v /usr/share/keyrings/debian-archive-keyring.gpg /etc/apt/trusted.gpg.d/


'/usr/share/keyrings/debian-archive-keyring.gpg' -> '/etc/apt/trusted.gpg.d/debian-archive-keyring.gpg'
 



J'imagine que je fait un

apt-get update


Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://security.debian.org stretch/updates InRelease [94,3 kB]
Réception de:3 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Atteint:4 http://deb.debian.org/debian stretch Release          
Réception de:5 http://security.debian.org stretch/updates/main amd64 Packages [492 kB]
492 ko réceptionnés en 1s (437 ko/s)                      
Lecture des listes de paquets... Fait
 



ATTENTION, ce résultat me parait être bon. Mais c'est avec le nouveau source.list de Debian Alain... Dois je refaire le test avec mon source.list ?


Actuellement sous Débian Stretch. Je ne suis pas un expert et j'essaie de me débrouiller par moi-même pour ne pas vous solliciter inutilement. Merci par avance pour votre aide car si je fais appel à vous, c'est que je suis vraiment dans l'impasse.

Hors ligne

#7 06-06-2019 22:30:22

Debian Alain
Adhérent(e)
Lieu : zone 51
Distrib. : W$10 / stable / ubuntu / F29 / testing
Noyau : Linux 5.2.0-3 amd 64 SMP debian 5.2.9-2
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

si tu tiens à apprendre de èfpé , on va  dire que tu as  effacé tes clés des dépôts .

èfpé te les  a remises .

si tu veux  apprendre de moi (attention , je ne suis pas une lumière) :

compare ton sources.list avec ton sources.list.bak

regarde ce qui a été rajouté , retiré .

comme il est plus clair que ton sources par défaut , conserve le .

si tu veux rajouter des lignes , n'oublie pas les  commentaires afin de rendre ton fichier plus compréhensible .

sources.list debian stretch

1498812139.jpg Les Inconnus - Chanson hard rock (poésie)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#8 08-06-2019 17:24:24

chrishagetlouts
Membre
Lieu : Sud des Landes
Distrib. : Stretch 9.9
Inscription : 06-06-2019

Re : [résolu]apt-get update erreur sur un paquet et gros problèmes de clefs

Merci à vous deux pour votre aide.

Vous avez résolu mon problème.

Encore une chose de plus que j'ai appris...

Actuellement sous Débian Stretch. Je ne suis pas un expert et j'essaie de me débrouiller par moi-même pour ne pas vous solliciter inutilement. Merci par avance pour votre aide car si je fais appel à vous, c'est que je suis vraiment dans l'impasse.

Hors ligne

Pied de page des forums